Bug 1498139 - Hot-unplugging a vhost network device leaks references to VFIOPCIDevice's [OSP 10]
Summary: Hot-unplugging a vhost network device leaks references to VFIOPCIDevice's [OS...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 10.0 (Newton)
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: ---
: 10.0 (Newton)
Assignee: Virtualization Maintenance
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On: 1490742
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-03 14:38 UTC by Jason Joyce
Modified: 2017-12-14 22:33 UTC (History)
20 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-16.el7_4.7
Doc Type: Bug Fix
Doc Text:
Hot-unplugging Virtual Function I/O (VFIO) devices previously failed when performed after hot-unplugging a vhost network device. This update fixes the underlying code, and the VFIO device is unplugged correctly in the described circumstances.
Clone Of: 1490742
Environment:
Last Closed: 2017-12-14 22:33:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3474 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-12-15 03:12:34 UTC
Red Hat Bugzilla 1371930 None CLOSED i40e: "x-req" can not work normally when unbind PF form host or unload PF's driver 2019-01-22 14:15:02 UTC

Comment 8 errata-xmlrpc 2017-12-14 22:33:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3474


Note You need to log in before you can comment on or make changes to this bug.